{% extends 'main/base_editform.html' %}

{% block content %}

<div class="page-header header-filter" data-parallax="true" style="background-image: url('{{ landing_top }}'); background-size: cover; background-position: top center;">
    <div class="container">
        <div class="row">
            <div class="col-md-6 ml-auto mr-auto">

                <!-- Edit form -->
    <form class="form" method="POST" enctype="multipart/form-data" action="{% url 'shopsortiment:new' %}">
        {% csrf_token %}
        <div class="card card-signup">
            <h2 class="card-title text-center">Pievienot preces vienību</h2>
            <div class="card-body">
                <div class="row">
                    <div class="col-md-12 ml-auto mr-auto">
                        {% for hidden_field in form.hidden_fields %}
                            {{ hidden_field }}
                        {% endfor %}

                        {% if form.non_field_errors %}
                        <div class="alert alert-danger" role="alert">
                            {% for error in form.non_field_errors %}
                            {{ error }}
                            {% endfor %}
                        </div>
                        {% endif %}
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4 ml-auto mr-auto">
                        {% for field in form.visible_fields %}
                            {% if field.field.widget.input_type == "file" %}
                                {% include "main/form_field.html" with field=field %}
                            {% endif %}
                        {% endfor %}
                    </div>
                    <div class="col-md-6 ml-auto mr-auto">
                        {% for field in form.visible_fields %}
                            {% if field.field.widget.input_type != "file" %}
                                {% include "main/form_field.html" with field=field %}
                            {% endif %}
                        {% endfor %}
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-10 ml-auto mr-auto">
                        <div class="card-footer justify-content-center">
                            <button type="submit" class="btn btn-success btn-round">Saglabāt</button>
                            <a href="{% url 'shopsortiment:view' %}" class="btn btn-default btn-round ml-3">Atcelt</a>
                        </div>
                        <input type="hidden" name="next" value="{{ next }}" />        
                    </div>
                </div>

            </div>
            
        </div>
            </form>

{% if next %}
  {% if user.is_authenticated %}
    <p>Your account doesn't have access to this page. To proceed,
    please login with an account that has access.</p>
  {% else %}
    <p>Please login to see this page.</p>
  {% endif %}
{% endif %}
                
                </div>
        </div>
    </div>
</div>
  

{% endblock %}